#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  KDE Frameworks 6 Based Applications

- Next

  dolphin-25.12.2

- Up
- Home

# ark-25.12.2

## Introduction to Ark

The Ark package is a KDE Frameworks-based Archive Manager. It is a graphical front end to tar, 7zip, UnRar, and other similar tools.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/ark-25.12.2.tar.xz

- Download MD5 sum: 5916b0f2c0a8a90d6de54a3dbe3da5ea

- Download size: 2.9 MB

- Estimated disk space required: 45 MB

- Estimated build time: 0.4 SBU (using parallelism=4)

### Ark Dependencies

#### Required

KDE Frameworks-6.23.0 and libarchive-3.8.7

#### Recommended

7zip-26.01, cpio-2.15, UnRar-7.2.4, and Zip-3.0

#### Optional

arj, lrzip, lzop, rar, and unar

## Installation of Ark

Install Ark by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: ark
Installed Libraries: libkerfuffle.so
Installed Directories: $KF6_PREFIX/lib/plugins/kerfuffle and $KF6_PREFIX/share/doc/HTML/*/ark

### Short Descriptions

ark | is a KDE Frameworks-based Archive Manager

- Prev

  KDE Frameworks 6 Based Applications

- Next

  dolphin-25.12.2

- Up
- Home